package org.bitbucket.bradleysmithllc.webserviceshubclient.parameter;

import java.io.PrintWriter;

public class ParameterImpl implements Parameter
{
	private final String parameterName;
	private final String parameterValue;
	private final String mappletName;

	public ParameterImpl(String mappletName, String parameterName, String parameterValue)
	{
		this.parameterName = parameterName;
		this.parameterValue = parameterValue;
		this.mappletName = mappletName;
	}

	public String getParameterValue()
	{
		return parameterValue;
	}

	public String getParameterName()
	{
		return parameterName;
	}

	public String getMappletName()
	{
		return mappletName;
	}

	public void write(PrintWriter output)
	{
		output.println(asString());
	}

	public String asString()
	{
		return new StringBuilder().append(getMappletName() == null ? "" : (getMappletName() + ".")).append(getParameterName()).append("=").append(getParameterValue()).toString();
	}
}
